API recipes

Requests you can copy and run. Each one returns live data from the API.

Examples

Find apartments with cap rate over 10%

Programming language

Select the programming language you want to display the code examples in.

Find apartments with a cap rate above 10%
Cap rate, cash on cash return and return on investment are computed for nearly every property from the list price and rent models, factoring in maintenance fees and property taxes. Pull apartments with a 10%+ cap rate for buy-and-hold acquisition screening.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&cap_rate_gt=0.10&city=calgary&country_abbreviation=ca&page=1&property_type_eq=Apartment&province_abbreviation=ab&results_per_page=5&select=address,estimate_list_price,estimate_rent_monthly,cap_rate,cash_on_cash_return,maintenance_fee,property_taxes,interior_sq_m,bedroom_total"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('cap_rate_gt', '0.10');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'Apartment');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('select', 'address,estimate_list_price,estimate_rent_monthly,cap_rate,cash_on_cash_return,maintenance_fee,property_taxes,interior_sq_m,bedroom_total');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 4.1000004,
  "data": [
    {
      "address": "321 820 89 Avenue SW",
      "bedroom_total": 1,
      "cap_rate": 0.1448362,
      "cash_on_cash_return": 0.36996672,
      "estimate_list_price": 174139,
      "estimate_rent_monthly": 1754,
      "interior_sq_m": 68.05119,
      "maintenance_fee": 508,
      "property_id": "100a7e0ad065b121",
      "property_taxes": 1290
    },
    {
      "address": "1605 8880 Horton Road SW",
      "bedroom_total": 1,
      "cap_rate": 0.11992418,
      "cash_on_cash_return": 0.27031866,
      "estimate_list_price": 226116,
      "estimate_rent_monthly": 1902,
      "interior_sq_m": 66.33277,
      "maintenance_fee": 469,
      "property_id": "10d37d1a861fb7c6",
      "property_taxes": 1855
    },
    {
      "address": "1608 9800 Horton Road SW",
      "bedroom_total": 1,
      "cap_rate": 0.11907413,
      "cash_on_cash_return": 0.26691845,
      "estimate_list_price": 227530,
      "estimate_rent_monthly": 1901,
      "interior_sq_m": 76.92371,
      "maintenance_fee": 469,
      "property_id": "10ff33c63ad5d79a",
      "property_taxes": 1659
    },
    {
      "address": "1514 8710 Horton Road SW",
      "bedroom_total": 1,
      "cap_rate": 0.10508854,
      "cash_on_cash_return": 0.21097612,
      "estimate_list_price": 258940,
      "estimate_rent_monthly": 1922,
      "interior_sq_m": 76.27276,
      "maintenance_fee": 492,
      "property_id": "116d6ec4a9037d27",
      "property_taxes": 1777
    },
    {
      "address": "105 8948B Elbow Drive SW",
      "bedroom_total": 2,
      "cap_rate": 0.14716908,
      "cash_on_cash_return": 0.37929827,
      "estimate_list_price": 165527,
      "estimate_rent_monthly": 1693,
      "interior_sq_m": 95.92199,
      "maintenance_fee": 502,
      "property_id": "11a9c8701f394729",
      "property_taxes": 1187
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 8773
  },
  "price_quote": false,
  "result_total": 43862,
  "time_ms": 32,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}